picard.analysis

## Class JumpingLibraryMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.JumpingLibraryMetrics

-     public class JumpingLibraryMetrics
      extends htsjdk.samtools.metrics.MetricBase

  High level metrics about the presence of outward- and inward-facing pairs within a SAM file generated with a jumping library, produced by the CollectJumpingLibraryMetrics program and usually stored in a file with the extension ".jump_metrics".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `CHIMERIC_PAIRS` The number of pairs where either (a) the ends fall on different chromosomes or (b) the insert size is greater than the maximum of 100000 or 2 times the mode of the insert size for outward-facing pairs.
    `long` | `FRAGMENTS` The number of fragments in the SAM file
    `long` | `JUMP_DUPLICATE_PAIRS` The number of outward-facing pairs that are duplicates
    `double` | `JUMP_DUPLICATE_PCT` The fraction of outward-facing pairs that are marked as duplicates
    `long` | `JUMP_LIBRARY_SIZE` The estimated library size for outward-facing pairs
    `double` | `JUMP_MEAN_INSERT_SIZE` The mean insert size for outward-facing pairs
    `long` | `JUMP_PAIRS` The number of outward-facing pairs in the SAM file
    `double` | `JUMP_STDEV_INSERT_SIZE` The standard deviation on the insert size for outward-facing pairs
    `long` | `NONJUMP_DUPLICATE_PAIRS` The number of inward-facing pais that are duplicates
    `double` | `NONJUMP_DUPLICATE_PCT` The fraction of inward-facing pairs that are marked as duplicates
    `long` | `NONJUMP_LIBRARY_SIZE` The estimated library size for inward-facing pairs
    `double` | `NONJUMP_MEAN_INSERT_SIZE` The mean insert size for inward-facing pairs
    `long` | `NONJUMP_PAIRS` The number of inward-facing pairs in the SAM file
    `double` | `NONJUMP_STDEV_INSERT_SIZE` The standard deviation on the insert size for inward-facing pairs
    `double` | `PCT_CHIMERAS` The number of chimeric pairs expressed as a fraction of the total of all outward facing pairs, inward-facing pairs, and chimeric pairs.
    `double` | `PCT_JUMPS` The number of outward-facing pairs expressed as a fraction of the total of all outward facing pairs, inward-facing pairs, and chimeric pairs.
    `double` | `PCT_NONJUMPS` The number of inward-facing pairs expressed as a fraction of the total of all outward facing pairs, inward-facing pairs, and chimeric pairs.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JumpingLibraryMetrics()`

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JUMP_PAIRS

          public long JUMP_PAIRS

      The number of outward-facing pairs in the SAM file

    - #### JUMP_DUPLICATE_PAIRS

          public long JUMP_DUPLICATE_PAIRS

      The number of outward-facing pairs that are duplicates

    - #### JUMP_DUPLICATE_PCT

          public double JUMP_DUPLICATE_PCT

      The fraction of outward-facing pairs that are marked as duplicates

    - #### JUMP_LIBRARY_SIZE

          public long JUMP_LIBRARY_SIZE

      The estimated library size for outward-facing pairs

    - #### JUMP_MEAN_INSERT_SIZE

          public double JUMP_MEAN_INSERT_SIZE

      The mean insert size for outward-facing pairs

    - #### JUMP_STDEV_INSERT_SIZE

          public double JUMP_STDEV_INSERT_SIZE

      The standard deviation on the insert size for outward-facing pairs

    - #### NONJUMP_PAIRS

          public long NONJUMP_PAIRS

      The number of inward-facing pairs in the SAM file

    - #### NONJUMP_DUPLICATE_PAIRS

          public long NONJUMP_DUPLICATE_PAIRS

      The number of inward-facing pais that are duplicates

    - #### NONJUMP_DUPLICATE_PCT

          public double NONJUMP_DUPLICATE_PCT

      The fraction of inward-facing pairs that are marked as duplicates

    - #### NONJUMP_LIBRARY_SIZE

          public long NONJUMP_LIBRARY_SIZE

      The estimated library size for inward-facing pairs

    - #### NONJUMP_MEAN_INSERT_SIZE

          public double NONJUMP_MEAN_INSERT_SIZE

      The mean insert size for inward-facing pairs

    - #### NONJUMP_STDEV_INSERT_SIZE

          public double NONJUMP_STDEV_INSERT_SIZE

      The standard deviation on the insert size for inward-facing pairs

    - #### CHIMERIC_PAIRS

          public long CHIMERIC_PAIRS

      The number of pairs where either (a) the ends fall on different chromosomes or (b) the insert size is greater than the maximum of 100000 or 2 times the mode of the insert size for outward-facing pairs.

    - #### FRAGMENTS

          public long FRAGMENTS

      The number of fragments in the SAM file

    - #### PCT_JUMPS

          public double PCT_JUMPS

      The number of outward-facing pairs expressed as a fraction of the total of all outward facing pairs, inward-facing pairs, and chimeric pairs.

    - #### PCT_NONJUMPS

          public double PCT_NONJUMPS

      The number of inward-facing pairs expressed as a fraction of the total of all outward facing pairs, inward-facing pairs, and chimeric pairs.

    - #### PCT_CHIMERAS

          public double PCT_CHIMERAS

      The number of chimeric pairs expressed as a fraction of the total of all outward facing pairs, inward-facing pairs, and chimeric pairs.

  - ### Constructor Detail

    - #### JumpingLibraryMetrics

          public JumpingLibraryMetrics()